JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const mediaResponse = await client.tasks.uiStates.retrieve(0, {
task_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(mediaResponse.url);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
media_response = client.tasks.ui_states.retrieve(
index=0,
task_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(media_response.url)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
mediaResponse, err := client.Tasks.UiStates.Get(
context.TODO(),
0,
mobileruncloud.TaskUiStateGetParams{
TaskID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", mediaResponse.URL)
}mobilerun-cloud tasks:ui-states retrieve \
--api-key 'My API Key' \
--task-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--index 0curl --request GET \
--url https://api.mobilerun.ai/tasks/{task_id}/ui_states/{index} \
--header 'Authorization: Bearer <token>'
{
"url": "<string>"
}{
"title": "Unauthorized",
"status": 401,
"detail": "You are not authorized to access this resource",
"errors": []
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": [
"<unknown>"
]
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": [
"<unknown>"
]
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": [
"<unknown>"
]
}Tasks
Get Task Ui State
Get a specific UI state by index.
GET
/
tasks
/
{task_id}
/
ui_states
/
{index}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const mediaResponse = await client.tasks.uiStates.retrieve(0, {
task_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(mediaResponse.url);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
media_response = client.tasks.ui_states.retrieve(
index=0,
task_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(media_response.url)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
mediaResponse, err := client.Tasks.UiStates.Get(
context.TODO(),
0,
mobileruncloud.TaskUiStateGetParams{
TaskID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", mediaResponse.URL)
}mobilerun-cloud tasks:ui-states retrieve \
--api-key 'My API Key' \
--task-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--index 0Was this page helpful?
⌘I